Geonix

Reference list

GEThttps://geonix.com/personal/api/v1/{apiKey}/reference/list/{type}

This endpoint fetches reference information necessary for creating an order, such as available proxy types, countries, and other parameters based on the specified proxy type. It's crucial for tailoring your proxy order to your specific requirements.

  • Countries, operators, and rotation periods (exclusive to mobile proxies).

  • Available proxy durations for IPV4, IPV6, mobile, and ISP proxies.

  • Specific purposes and services relevant to IPV4, IPV6, ISP, and residential proxies.

  • Tariff options available exclusively for residential proxies.

Headers

Name

Value

Accept

application/json

Path parameters

Name

Type

Description

apiKey*

string

API key to authorize requests

type

string

Available values : ipv4, ipv6, mobile, isp, resident

Request examples

curl -X GET "https://geonix.com/personal/api/v1/YOUR_API_KEY_HERE/reference/list/ipv4" \
     -H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY_HERE'; // Replace with your actual API key
$url = "https://geonix.com/personal/api/v1/$apiKey/reference/list/ipv4";

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPHEADER, array('Accept: application/json'));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class FetchReferenceInfoExample {
    public static void main(String[] args) {
        String apiKey = "YOUR_API_KEY_HERE"; // Replace with your API key
        String urlString = "https://geonix.com/personal/api/v1/" + apiKey + "/reference/list/ipv4";
        
        try {
            URL url = new URL(urlString);
            HttpURLConnection con = (HttpURLConnection) url.openConnection();
            con.setRequestProperty("Accept", "application/json");
            con.setRequestMethod("GET");

            BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
            String inputLine;
            StringBuilder response = new StringBuilder();
            
            while ((inputLine = in.readLine()) != null) {
                response.append(inputLine);
            }
            in.close();
            
            System.out.println("Reference Information: " + response.toString());
            
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}

Response examples

{
  "status": "success",
  "data": {
    "items": [
      {
        "country": [
          {
            "id": 3350393,
            "name": "France",
            "alpha3": "FRA"
          }
        ],
        "period": [
          {
            "id": "1m",
            "name": "1 month"
          }
        ]
      }
    ]
  },
  "errors": []
}
{
  "status": "success",
  "data": {
    "ipv4": [
      {
        "country": [
          {
            "id": 3350393,
            "name": "France",
            "alpha3": "FRA"
          }
        ],
        "period": [
          {
            "id": "1m",
            "name": "1 month"
          }
        ],
        "target": [
          {
            "sectionId": 12,
            "name": "Social media",
            "targets": [
              {
                "id": 12,
                "name": "Proxy for Instagram"
              }
            ]
          }
        ]
      }
    ],
    "ipv6": [
      {
        "country": [
          {
            "id": 3350393,
            "name": "France",
            "alpha3": "FRA"
          }
        ],
        "period": [
          {
            "id": "1m",
            "name": "1 month"
          }
        ],
        "target": [
          {
            "sectionId": 12,
            "name": "Social media",
            "targets": [
              {
                "id": 12,
                "name": "Proxy for Instagram"
              }
            ]
          }
        ]
      }
    ],
    "mobile": [
      {
        "country": [
          {
            "id": 3350393,
            "name": "France",
            "alpha3": "FRA",
            "operators": [
              {
                "id": "telefonicao2",
                "name": "TELEFONICA O2",
                "traffic": "100 Gb",
                "rotations": [
                  {
                    "id": 5,
                    "name": "5 minutes"
                  }
                ]
              }
            ]
          }
        ],
        "period": [
          {
            "id": "1m",
            "name": "1 month"
          }
        ]
      }
    ],
    "isp": [
      {
        "country": [
          {
            "id": 3350393,
            "name": "France",
            "alpha3": "FRA"
          }
        ],
        "period": [
          {
            "id": "1m",
            "name": "1 month"
          }
        ],
        "target": [
          {
            "sectionId": 12,
            "name": "Social media",
            "targets": [
              {
                "id": 12,
                "name": "Proxy for Instagram"
              }
            ]
          }
        ]
      }
    ],
    "resident": [
      {
        "tarifs": [
          {
            "id": 3350393,
            "name": "France"
          }
        ],
        "target": [
          {
            "sectionId": 12,
            "name": "Social media",
            "targets": [
              {
                "id": 12,
                "name": "Proxy for Instagram"
              }
            ]
          }
        ]
      }
    ]
  },
  "errors": []
}

On this page